## mic 0.27.3

=== debian/changelog ===
mic (0.27.3) unstable; urgency=low
  * support vdfs and squashfs image creation
  * Show pkgid when install pkg error

 -- Jiankang Fan <jiankang.fan@samsung.com> Mon, 19 Dec 2016 15:00:00 +0800

mic (0.27.2) unstable; urgency=low
  * Add exclude-from-image option to exclude specific images 
  * Add subcommand option parameters(-v, -d, -i)

 -- SoonKyu Park <sk7.park@samsung.com>  Wed, 28 Sep 2016 15:00:00 +0800

mic (0.27.1) unstable; urgency=low
  * new distribution support: Ubuntu 16.04, Fedora 23
  * add raw image format support
  * bug fix:
    - Remove BmapCreate and Filemap source code from MIC (#DEVT-151)

 -- Jianzhong Fang <jz.fang@samsung.com>  Wed, 25 May 2016 15:00:00 +0800

mic (0.27) unstable; urgency=low
  * new distribution support: CentOS 7, Debian 8, Fedora 21, 
    Fedora 22, openSUSE 13.2
  * generate manifest file to describe image information
  * refactor archive and compress module
  * support sparse handle for tar command
  * replace system V with systemd on locale setting
  * add qcow2 image format support
  * add strict mode for package installing
  * enable ssl_verify option in config file
  * enhance checksums of outputs: md5sum, sha1sum, sha256sum  (#DEVT-224)
  * drop mic-native support (#DEVT-248)
  * update mount option
  * revert bind mount config file to instroot
  * drop liveusb, livecd and raw image formats support (#DEVT-243, #DEVT-263)
  * use argparse module to parse the cmd line (#DEVT-52)
  * bug fix:
    - fix logfile incomplete in release option
    - fix config file disappear in bootstrap
    - fix aarch64 bin_format
    - fix pylint
    - fix real path of device mapper causing initrd failure
    - fix qemu arm and arm64 issues
    - fix AttributeError in zypp backend
    - fix 'python-xml' depends used by cElements
    - fix xml requirements
    - fix logfile not in release of '--release' when creation failed
    - fix copyright missing issue
    - fix syslinux installation path issue in Arch Linux
    - fix priority option of ks file not apply (#DEVT-254)
    - fix need to check loop device after excute 'losetup --find'
    - fix check scriptlet error file on /tmp/.postscript/error/
    - fix broken tar archive

 -- Jianzhong Fang <jz.fang@samsung.com>  Mon, 28 Mar 2016 19:50:35 +0800

mic (0.24) unstable; urgency=low
   * enhance to handle password with special characters
   * change python-zypp require to python-zypp-tizen
   * add --repo comand option for local build
   * add --user and --password option for %repo directive of ks file
   * clean up some codes relevant to EULA agreement
   * add hostname showing in log
   * bug fix:
     - fix chroot failed by space in image not enough
     - fix obsolete packages incorrect handling
     - fix yum backend failed to cache packages
     - fix bare ip in no_proxy not working
     - fix repeated log showing with yum backend
     - fix loop device latency timing
     - fix zypp failed to download by changing 'cachedir'
     - fix 'mkfs' not working caused by mic-bootstrap install failed

 -- Gui Chen <gui.chen@intel.com>  Tue, 11 Mar 2014 17:25:35 +0800

mic (0.23-1) unstable; urgency=low
   * new distribution support: Ubuntu 13.10 and OpenSUSE 13.1
   * split requirements to subpackage 'mic-native' to reduce mic's dependencies
   * support arm64 architecture image creation in native mode
   * new option '--interactive'/'--non-interactive' to enable/disable interaction 
   * new option '--uuid' for 'part' in ks file to set filesystem uuid
   * export more variables related to installer framework for loop format
   * bug fix:
     - fix bootstrap handling if bootstrap package failed
     - fix 'mapper_device' key error
     - fix detailed error messages missing in mounting
     - fix version comparing issue of urlgrabber in Fedora

 -- Gui Chen <gui.chen@intel.com>  Fri, 12 Dec 2013 17:25:35 +0800

mic (0.22-1) unstable; urgency=low
   * use __version__ variable instead of VERSION file
   * refactor msger module to ulitize logging module
   * refine error class module
   * improve installation in virtualenv
   * add bash completion support
   * add zsh completion support
   * export mapper device related to installer framework
   * update BmapCreate to the latest version
   * bug fix:
     - fix customized plugin_dir not work in bootstrap
     - fix packing process exit on Ubuntu
     - fix loop device alloaction failed on openSUSE
     - fix incorrect number showing during installing
     - set owner of cacheidr/outdir to SUDO_USER
     - correct project url in setup.py
     - fix mic not work when mic.conf disappear

 -- Gui Chen <gui.chen@intel.com>  Thu, 24 Oct 2013 17:25:35 +0800

mic (0.21-1) unstable; urgency=low
  * new distribution support: Fedora 19
  * refactor chroot module to correct the logic
  * add an alias for installerfw - installerfw_plugins
  * remove fuser dependency to avoid some unmount issue
  * enable proxy setting with authentication
  * don't get proxy info from /etc/sysconfig/proxy ever
  * kill processes inside chroot after post script running
  * bug fix:
    - fix bootloader options omitted
    - raise when incorrectly set partition flags 'legacy_boot'
    - fix wrong file descriptor issue
    - fix some requires

 -- Gui Chen <gui.chen@intel.com>  Mon, 26 Aug 2013 17:25:35 +0800

mic (0.20-1) unstable; urgency=low
  * new distribution support: CentOS 6
  * drop image creation if checked packages not present in image
  * introduce 'installerfw' command in kickstart to customize configuration
  * improve output message of post scripts
  * bug fix:
    - fix rpm not support 'VCS' tag traceback

 -- Gui Chen <gui.chen@intel.com>  Mon, 01 Jul 2013 17:25:35 +0800

mic (0.19-1) unstable; urgency=low
  * new distribution support: Ubuntu 13.04 and openSUSE 12.3
  * introduce '--part-type' to handle GPT partition
  * copy bmap creation from bmap-tools
  * update some depends and fix depends issue
  * bug fix:
    - fix bug autologinuser always set

