## mic 0.28.14

=== debian/changelog ===
mic (0.28.14) unstable; urgency=low
  * Encrypt user password with SHA512 instead of MD5.
  * Fix pylint error, reimport glob.

 -- Biao Wang <biao716.wang@samsung.com>  Fri, 14 May 2021 15:00:00 +0800

mic (0.28.13) unstable; urgency=low
  * Add new option for squashfs file system to support M1 feature.

 -- Biao Wang <biao716.wang@samsung.com>  Tue, 23 Mar 2021 15:00:00 +0800

mic (0.28.12) unstable; urgency=low
  * Support to create image with f2fs file system.
  * Fix the bug that no print last installed package.
  * Remove urlgrabber directory from mic.

 -- Biao Wang <biao716.wang@samsung.com>  Fri, 05 Feb 2021 15:00:00 +0800

mic (0.28.11) unstable; urgency=low
  * add dependece for yum directly.
  * fix run error issue for parser repomd.xml when here is group type.
  * Refine code, remove duplicated code
  * Separate qcow plugin scripts

 -- Biao Wang <biao716.wang@samsung.com>  Thu, 05 Nov 2020 15:00:00 +0800

mic (0.28.10) unstable; urgency=low
  * Create btrfs images with the metadata single option.
  * Refine code with SAM tools check.

 -- Biao Wang <biao716.wang@samsung.com>  Tue, 21 Jul 2020 15:00:00 +0800

mic (0.28.9) unstable; urgency=low
  * increase max loop device number in mic.
  * fix build error with Typeerror.
  * Fix the bug that truncates existing inittab file.

 -- Yan Meng <yan11.meng@samsung.com>  Wed, 17 Jun 2020 15:00:00 +0800

mic (0.28.8) unstable; urgency=low
  * remove unnecessary /etc/fstab file.

 -- Yan Meng <yan11.meng@samsung.com>  Thu, 7 May 2020 15:00:00 +0800

mic (0.28.7) unstable; urgency=low
  * fix pylint errors for mic
  * add option for mic to skip set hosts when create
  * skip set hosts by mic when /etc/hosts exists

 -- Yan Meng <yan11.meng@samsung.com>  Mon, 17 Feb 2020 15:00:00 +0800

mic (0.28.6) unstable; urgency=low
  * new distribution support: Ubuntu 18.04.

 -- Jin Xiao <jin.xiao@samsung.com>  Fri, 15 Feb 2019 15:00:00 +0800

mic (0.28.5) unstable; urgency=low
  * Add %env section support.

 -- Jin Xiao <jin.xiao@samsung.com>  Wed, 31 Oct 2018 15:00:00 +0800

mic (0.28.4) unstable; urgency=low
  * add new option --fslabel in part section.

 -- Jin Xiao <jin.xiao@samsung.com>  Fri, 28 Sep 2018 15:00:00 +0800

mic (0.28.3) unstable; urgency=low
  * Revert "ext4 images are created with inode size 256 bytes".

 -- Jin Xiao <jin.xiao@samsung.com>  Fri, 14 Sep 2018 15:00:00 +0800

mic (0.28.2) unstable; urgency=low
  * remove tmp dir in runscript period.
  * ext4 images are created with inode size 256 bytes.
  * Add locale related environment varibale because language is not set to one specified in ks file.

 -- Jin Xiao <jin.xiao@samsung.com>  Fri, 03 Aug 2018 15:00:00 +0800

mic (0.28.1) unstable; urgency=low
  * Check exit status of vdfs image creation
  * Change the user and root passwd hash algorithm order to avoid user name same as root name.

 -- Jin Xiao <jin.xiao@samsung.com>  Fri, 11 May 2018 15:00:00 +0800

mic (0.28) unstable; urgency=low
  * Apply btrfs mount options "--fsoptions=compress"
  * In Tizen, losetup command support '-f' option, change '--find' to '-f'
  * Fix issue, set blocksize by parsing "-b [BLOCKSIZE]" from extoptions in ks file

 -- Jin Xiao <jin.xiao@samsung.com>  Fri, 13 April 2018 15:00:00 +0800

mic (0.27.9) unstable; urgency=low
  * Added ATTACHMENT_PATHS env and IMG_DIR_PATH env
  * Revert "call copy_attachment() after configure() and move attachment files"

 -- Xiaojuan Mao <xiaojuan.mao@samsung.com>  Fri, 23 Mar 2018 15:00:00 +0800

mic (0.27.8) unstable; urgency=low
  * Use SHA512 instead of MD5 to encrypt root password
  * Fix the bug that use local mic-bootstrap to run mic.
  * Support local mic-bootstrap rpm package to run mic.
  * Another method of install tpk.
  * The value of fstype is not cpio, an image is generated by cpio.
  * When increase rpm release number, user can use --local-pkgs-path to install local pkgs.
  * use the value of --pack-to option as filename to match all outputs
  * support both %runscript and %post-umount to perform scripts before packaging
  * support multiple mic execution at same time
  * add --use-mic-in-bootstrap option
  * Display all rpm debug messages with --rpm-debug
  * call copy_attachment() after configure() and move attachment files
  * Add init_expand option to partition
  * add no_shrink option to partition, fix parameter of disk.expand()
  * Setup environment to perform signing script
  * if post scripts fails, CreatorError is raised to catch script errors such as signing error
  * use registered qemu emulator filename if already registered.

 -- Xiaojuan Mao <xiaojuan.mao@samsung.com>  Fri, 26 Jan 2018 17:00:00 +0800

mic (0.27.7) unstable; urgency=low
  * Timezone setting change
  * Run certain script before creation of tar.gz image
  * Locally built mic-bootstrap using gbs cannot be used in mic
  * Add new option of tpk_install
  * Amend mic cr option of run_script
  * Add new option of --run_script
  * fix the bug that modify the order of generating image by cpio
  * Modify the order of generating image by cpio

 -- Yuhuan Yang <yuhuan.yang@samsung.com>  Fri, 15 Sep 2017 15:00:00 +0800

mic (0.27.6) unstable; urgency=low
  * Use cpio gzip in mic.
  * fix corrupted log messages in log file
  * change installed package name length from 20 to 50
  * print warning message for detecting rpm post script...
  * display all rpm debug messages in debug mode
  * display filesystem size of each images
  * add SIGTERM handler for exit gracefully
  * change tpk install error message format
  * print package name, before install
  * Modify the arguments that use cpio to generate image.
  * Solve mic hang issue, add timeout to show failure.
  * Solve issue:mic has error when env no_proxy is 165.xx.xxx...
  * Change the order of generating image by cpio.

 -- Xiaojuan Mao <xiaojuan.mao@samsung.com>  Fri, 30 Jun 2017 15:00:00 +0800

mic (0.27.5) unstable; urgency=low

