## mic 0.28.16

=== debian/changelog ===
mic (0.28.16) unstable; urgency=low
  * Add postscripts-maxruntime option to set the max run time for post scripts.

 -- Biao Wang <biao716.wang@samsung.com>  Thu, 10 Feb 2022 15:00:00 +0800

mic (0.28.15) unstable; urgency=low
  * Don't install recommended packages in mic.

 -- Biao Wang <biao716.wang@samsung.com>  Mon, 05 Jul 2021 15:00:00 +0800
