## mic 0.28.19

=== debian/changelog ===
mic (0.28.19) unstable; urgency=low
  * Fix mic create image error with rpm 4.14 if %prepackages section exists in
    ks file.

 -- Biao Wang <biao716.wang@samsung.com>  Thu, 13 Apr 2023 15:00:00 +0800

mic (0.28.18) unstable; urgency=low
  * Add support for RISC-V arch.

 -- Biao Wang <biao716.wang@samsung.com>  Thu, 12 Jan 2023 15:00:00 +0800

mic (0.28.17) unstable; urgency=low
  * Add --block-recommends option to allow not install recommended packages

 -- Biao Wang <biao716.wang@samsung.com>  Wed, 10 Aug 2022 15:00:00 +0800
