=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
-Build-Depends: debhelper (>= 7.0.15), cdbs, python-dev, python-support, python-docutils
+Build-Depends: debhelper (>= 7.0.15), cdbs, python-dev, dh-python, python-docutils
 Standards-Version: 3.8.0
 Homepage: http://www.tizen.org
 
@@ -14,7 +14,8 @@
  python-urlgrabber,
  cpio,
  bzip2,
- gzip
+ gzip,
+ yum
 Conflicts:
  mic2
 Description: image creator for Linux distributions
