## mic 0.29.1

=== debian/changelog ===
mic (0.29.1) unstable; urgency=low
  * Support ubuntu 22.04 distro
  * Port code from python2.x to python3.x 

 -- Biao Wang <biao716.wang@samsung.com>  Wed, 01 Nov 2023 15:00:00 +0800
