=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Section: devel
 Priority: extra
 Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
-Build-Depends: debhelper (>= 7.0.15), cdbs, python-dev, dh-python, python-docutils
+Build-Depends: debhelper (>= 7.0.15), cdbs, python3, python3-requests, python3-all, python3-dev, dh-python, python3-docutils
 Standards-Version: 3.8.0
 Homepage: http://www.tizen.org
 
 Package: mic
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: ${misc:Depends}, ${python3:Depends},
  rpm,
- python-rpm,
- python-urlgrabber,
+ python3-rpm,
+ python3-py,
+ python3-pycurl,
+ python3-distro,
  cpio,
  bzip2,
  gzip,
