## mic 0.29.6

=== debian/changelog ===
mic (0.29.6) unstable; urgency=low
  * Merge "Fix mic build error for btrfs and cpio fstype" into devel-py2
  * Fix mic build error for btrfs and cpio fstype
  * Add support erofs module load

 -- Jakir Hossain <jakir.h@samsung.com>  Tue, 21 Oct 2025 13:43:00 +0600

mic (0.29.5) unstable; urgency=low
  * Fix run error for erofs file system when erofs option have compress level
  * erofs - fix error in case of no erofsopts

 -- Jakir Hossain <jakir.h@samsung.com>  Mon, 15 Sep 2025 11:10:00 +0600

mic (0.29.4) unstable; urgency=low
  * Support the creation of erofs image during mic.

 -- Jakir Hossain <jakir.h@samsung.com>  Tue, 22 Jul 2025 12:55:00 +0600

mic (0.29.3) unstable; urgency=low
  * Fix the image failed to create by mic python2 version.

 -- Wanchao Xu <wanchao.xu@samsung.com>  Fri, 23 May 2025 12:00:00 +0800

mic (0.29.2) unstable; urgency=low
  * Enable mixed mode for formatting on Btrfs filesystems to support small devices
  * If arch is riscv64, pass the QEMU_RESERVED_VA environment variable to install_root
  * Add new section 'runscript_out_bootstrap' for kickstart to run script on host pc after image created.
  * fix mic create image error: Rpmdb checksum is invalid: dCDPT(pkg checksums)
    rebuild rpmdb before run intall package transaction.

 -- Saulin Tuhin <s.tuhin@samsung.com>  Wed, 26 Feb 2025 17:00:00 +0600
