## mic 2.0.7

=== debian/changelog ===
mic (2.0.7) unstable; urgency=low
  * Merge "Fix mic build error for btrfs and cpio fstype" into devel
  * Fix mic build error for btrfs and cpio fstype
  * Add support erofs module load

 -- Jakir Hossain <jakir.h@samsung.com>  Tue, 21 Oct 2025 13:00:00 +0600

mic (2.0.6) unstable; urgency=low
  * Fix run error for erofs file system when erofs option have compress level
  * erofs - fix error in case of no erofsopts
  * Fix error on erofs image creation

 -- Jakir Hossain <jakir.h@samsung.com>  Mon, 15 Sep 2025 11:05:00 +0600

mic (2.0.5) unstable; urgency=low
  * Support the creation of erofs image during mic

 -- Jakir Hossain <jakir.h@samsung.com>  Tue, 22 Jul 2025 10:45:00 +0600

mic (2.0.4) unstable; urgency=low
  * Enable mixed mode for formatting on Btrfs filesystems to support small devices
  * If arch is riscv64, pass the QEMU_RESERVED_VA environment variable to install_root
  * load filesystem kernel module on host pc
  * Support zstd compression in mic to pack image

 -- Saulin Tuhin <s.tuhin@samsung.com>  Wed, 26 Feb 2025 15:00:00 +0800

mic (2.0.3) unstable; urgency=low
  * Fix build errors on Ubuntu 24.04
  * Add new section 'runscript_out_bootstrap' for kickstart to run script
    on host pc after image created.
  * Replace SafeConfigParser with ConfigParser which is dropped in
    python3.12
  * Replace setup module from distuils.core to setuptools
  * Ignore the pylint warning of raising-bad-type and
    unbalanced-tuple-unpacking in connection and grabber script
  * Fix mic create image error: Rpmdb checksum is invalid:
    dCDPT(pkg checksums)

 -- Xu Huayong <huayong.xu@samsung.com>  Mon, 22 Jul 2024 15:00:00 +0800

mic (2.0.2) unstable; urgency=low
  * Fix the issue that mic lost dependency file in docker
  * Fix the mic can't create image into specified folder which defined
    in default mic config
  * Add the error message while no qemu for mic chroot
  * Adjust the format of Notification

 -- Xu Huayong <huayong.xu@samsung.com>  Fri, 19 Apr 2024 15:00:00 +0800

mic (2.0.1) unstable; urgency=low
  * Support ubuntu 22.04 distro
  * Port code from python2.x to python3.x

 -- Biao Wang <biao716.wang@samsung.com>  Mon, 29 Jan 2024 15:00:00 +0800
