=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3 --buildsystem=pybuild

build:
	make man

override_dh_auto_install:
	dh_auto_install
	# Installing package
	mkdir -p $(CURDIR)/debian/tmp/
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
	mkdir -p $(CURDIR)/debian/tmp/etc/bash_completion.d
	mkdir -p $(CURDIR)/debian/tmp/etc/zsh_completion.d
	install -m644 doc/mic.1 $(CURDIR)/debian/tmp/usr/share/man/man1
	install -m755 etc/bash_completion.d/mic.sh $(CURDIR)/debian/tmp/etc/bash_completion.d/
	install -m755 etc/zsh_completion.d/_mic $(CURDIR)/debian/tmp/etc/zsh_completion.d/_mic
	python3 setup.py install --root=$(CURDIR)/debian/tmp --prefix=/usr/local

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_test:
